import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:go_router/go_router.dart';
import 'package:pharmacy_mobile/auth/auth_service.dart';
import 'package:pharmacy_mobile/widgets/button_widget.dart';
import 'package:pharmacy_mobile/widgets/page_background_widget.dart';
import 'package:pharmacy_mobile/widgets/snackbar_widget.dart';
import 'package:pharmacy_mobile/widgets/text_widget.dart';
import 'package:pharmacy_mobile/widgets/title_widget.dart';
import 'package:animated_notch_bottom_bar/animated_notch_bottom_bar/animated_notch_bottom_bar.dart';

class CustomerProfilePage extends StatelessWidget {
  final NotchBottomBarController? controller;
  const CustomerProfilePage({super.key, this.controller});

  @override
  Widget build(BuildContext context) {
    final authService = AuthService();

    void signOut() async {
      // ignore: use_build_context_synchronously
      await authService.signOut().then((_) => {context.go('/'), showNotification(context, 'Logged Out', true)});
    }

    return Scaffold(
        body: PageBackgroundWidget(
            child: Column(
      children: [
        Column(
          children: [
            const Gap(96),
            const TitleWidget(
              firstTextSize: 14,
              secondTextSize: 24,
              logoSize: 90,
            ),
            const Gap(32),
            const TextWidget(text: 'My Profile'),
            const Gap(16),
            const Gap(32),
            ButtonWidget(text: 'Log Out', onPressed: signOut)
          ],
        )
      ],
    )));
  }
}
